## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils
Class SybaseImages

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils.SybaseImages

    public class SybaseImages

extends java.lang.Object

Author:
  renj

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CK`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_COLUMN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_COMPUTED_COLUMN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_DATABASE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EVENT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_FK`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_FOLDER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_GROUP`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_INDEX`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_INSTEAD_OF_TRIGGER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PARAM`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PARAM_IN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PARAM_OUT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PK`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PROXY_DATABASE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_ROLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SEGMENT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_STORED_PROCEDURE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEM_DATA_TYPE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEM_STORED_PROCEDURE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEM_TABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEMPROCEDURE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEMTABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SYSTEMVIEW`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TABLE_DATA`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TABLE_SCHEMA`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TEMPORARY_DATABASE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TEMPORARY_TABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TRIGGER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_UDF`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_UDT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_UNIQUE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_USER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_VIEW`
`static java.lang.String` `IMG_CK`
`static java.lang.String` `IMG_COLUMN`
`static java.lang.String` `IMG_COMPUTED_COLUMN`
`static java.lang.String` `IMG_DATABASE`
`static java.lang.String` `IMG_EVENT`
`static java.lang.String` `IMG_FK`
`static java.lang.String` `IMG_FOLDER`
`static java.lang.String` `IMG_GROUP`
`static java.lang.String` `IMG_INDEX`
`static java.lang.String` `IMG_INSTEAD_OF_TRIGGER`
`static java.lang.String` `IMG_PARAM`
`static java.lang.String` `IMG_PARAM_IN`
`static java.lang.String` `IMG_PARAM_OUT`
`static java.lang.String` `IMG_PK`
`static java.lang.String` `IMG_PROXY_DATABASE`
`static java.lang.String` `IMG_ROLE`
`static java.lang.String` `IMG_SEGMENT`
`static java.lang.String` `IMG_STORED_PROCEDURE`
`static java.lang.String` `IMG_SYSTEM_DATA_TYPE`
`static java.lang.String` `IMG_SYSTEM_STORED_PROCEDURE`
`static java.lang.String` `IMG_SYSTEM_TABLE`
`static java.lang.String` `IMG_SYSTEMPROCEDURE`
`static java.lang.String` `IMG_SYSTEMTABLE`
`static java.lang.String` `IMG_SYSTEMVIEW`
`static java.lang.String` `IMG_TABLE`
`static java.lang.String` `IMG_TABLE_DATA`
`static java.lang.String` `IMG_TABLE_SCHEMA`
`static java.lang.String` `IMG_TEMPORARY_DATABASE`
`static java.lang.String` `IMG_TEMPORARY_TABLE`
`static java.lang.String` `IMG_TRIGGER`
`static java.lang.String` `IMG_UDF`
`static java.lang.String` `IMG_UDT`
`static java.lang.String` `IMG_UNIQUE`
`static java.lang.String` `IMG_USER`
`static java.lang.String` `IMG_VIEW`

Constructor Summary
`SybaseImages()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_SYSTEMPROCEDURE

    public static final java.lang.String IMG_SYSTEMPROCEDURE

See Also:
  Constant Field Values

### DESC_SYSTEMPROCEDURE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEMPROCEDURE

### IMG_SYSTEMTABLE

    public static final java.lang.String IMG_SYSTEMTABLE

See Also:
  Constant Field Values

### DESC_SYSTEMTABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEMTABLE

### IMG_SYSTEMVIEW

    public static final java.lang.String IMG_SYSTEMVIEW

See Also:
  Constant Field Values

### DESC_SYSTEMVIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEMVIEW

### IMG_FOLDER

    public static final java.lang.String IMG_FOLDER

See Also:
  Constant Field Values

### DESC_FOLDER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_FOLDER

### IMG_PK

    public static final java.lang.String IMG_PK

See Also:
  Constant Field Values

### DESC_PK

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PK

### IMG_FK

    public static final java.lang.String IMG_FK

See Also:
  Constant Field Values

### DESC_FK

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_FK

### IMG_UNIQUE

    public static final java.lang.String IMG_UNIQUE

See Also:
  Constant Field Values

### DESC_UNIQUE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_UNIQUE

### IMG_CK

    public static final java.lang.String IMG_CK

See Also:
  Constant Field Values

### DESC_CK

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CK

### IMG_USER

    public static final java.lang.String IMG_USER

See Also:
  Constant Field Values

### DESC_USER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_USER

### IMG_GROUP

    public static final java.lang.String IMG_GROUP

See Also:
  Constant Field Values

### DESC_GROUP

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_GROUP

### IMG_ROLE

    public static final java.lang.String IMG_ROLE

See Also:
  Constant Field Values

### DESC_ROLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_ROLE

### IMG_TABLE_SCHEMA

    public static final java.lang.String IMG_TABLE_SCHEMA

See Also:
  Constant Field Values

### DESC_TABLE_SCHEMA

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TABLE_SCHEMA

### IMG_TABLE_DATA

    public static final java.lang.String IMG_TABLE_DATA

See Also:
  Constant Field Values

### DESC_TABLE_DATA

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TABLE_DATA

### IMG_UDT

    public static final java.lang.String IMG_UDT

See Also:
  Constant Field Values

### DESC_UDT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_UDT

### IMG_STORED_PROCEDURE

    public static final java.lang.String IMG_STORED_PROCEDURE

See Also:
  Constant Field Values

### DESC_STORED_PROCEDURE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_STORED_PROCEDURE

### IMG_SYSTEM_STORED_PROCEDURE

    public static final java.lang.String IMG_SYSTEM_STORED_PROCEDURE

See Also:
  Constant Field Values

### DESC_SYSTEM_STORED_PROCEDURE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEM_STORED_PROCEDURE

### IMG_TRIGGER

    public static final java.lang.String IMG_TRIGGER

See Also:
  Constant Field Values

### DESC_TRIGGER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TRIGGER

### IMG_UDF

    public static final java.lang.String IMG_UDF

See Also:
  Constant Field Values

### DESC_UDF

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_UDF

### IMG_TABLE

    public static final java.lang.String IMG_TABLE

See Also:
  Constant Field Values

### DESC_TABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TABLE

### IMG_EVENT

    public static final java.lang.String IMG_EVENT

See Also:
  Constant Field Values

### DESC_EVENT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EVENT

### IMG_VIEW

    public static final java.lang.String IMG_VIEW

See Also:
  Constant Field Values

### DESC_VIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_VIEW

### IMG_COLUMN

    public static final java.lang.String IMG_COLUMN

See Also:
  Constant Field Values

### DESC_COLUMN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_COLUMN

### IMG_INDEX

    public static final java.lang.String IMG_INDEX

See Also:
  Constant Field Values

### DESC_INDEX

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_INDEX

### IMG_SYSTEM_DATA_TYPE

    public static final java.lang.String IMG_SYSTEM_DATA_TYPE

See Also:
  Constant Field Values

### DESC_SYSTEM_DATA_TYPE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEM_DATA_TYPE

### IMG_PARAM_IN

    public static final java.lang.String IMG_PARAM_IN

See Also:
  Constant Field Values

### DESC_PARAM_IN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PARAM_IN

### IMG_PARAM_OUT

    public static final java.lang.String IMG_PARAM_OUT

See Also:
  Constant Field Values

### DESC_PARAM_OUT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PARAM_OUT

### IMG_PARAM

    public static final java.lang.String IMG_PARAM

See Also:
  Constant Field Values

### DESC_PARAM

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PARAM

### IMG_TEMPORARY_TABLE

    public static final java.lang.String IMG_TEMPORARY_TABLE

See Also:
  Constant Field Values

### DESC_TEMPORARY_TABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TEMPORARY_TABLE

### IMG_TEMPORARY_DATABASE

    public static final java.lang.String IMG_TEMPORARY_DATABASE

See Also:
  Constant Field Values

### DESC_TEMPORARY_DATABASE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TEMPORARY_DATABASE

### IMG_SYSTEM_TABLE

    public static final java.lang.String IMG_SYSTEM_TABLE

See Also:
  Constant Field Values

### DESC_SYSTEM_TABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SYSTEM_TABLE

### IMG_PROXY_DATABASE

    public static final java.lang.String IMG_PROXY_DATABASE

See Also:
  Constant Field Values

### DESC_PROXY_DATABASE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PROXY_DATABASE

### IMG_DATABASE

    public static final java.lang.String IMG_DATABASE

See Also:
  Constant Field Values

### DESC_DATABASE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_DATABASE

### IMG_SEGMENT

    public static final java.lang.String IMG_SEGMENT

See Also:
  Constant Field Values

### DESC_SEGMENT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SEGMENT

### IMG_COMPUTED_COLUMN

    public static final java.lang.String IMG_COMPUTED_COLUMN

See Also:
  Constant Field Values

### DESC_COMPUTED_COLUMN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_COMPUTED_COLUMN

### IMG_INSTEAD_OF_TRIGGER

    public static final java.lang.String IMG_INSTEAD_OF_TRIGGER

See Also:
  Constant Field Values

### DESC_INSTEAD_OF_TRIGGER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_INSTEAD_OF_TRIGGER

Constructor Detail

### SybaseImages

    public SybaseImages()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key